package com.ruoyi.ie.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 子试题对象 subquestions
 *
 * @author mingxue
 * @date 2021-06-19
 */
public class Subquestions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 试题-题干 */
    @Excel(name = "试题-题干")
    private String title;

    /** 选项A */
    @Excel(name = "选项A")
    private String optionA;

    /** 选项B */
    @Excel(name = "选项B")
    private String optionB;

    /** 选项C */
    @Excel(name = "选项C")
    private String optionC;

    /** 选项D */
    @Excel(name = "选项D")
    private String optionD;

    /** 选项E */
    @Excel(name = "选项E")
    private Long pid;

    /** $column.columnComment */
    @Excel(name = "选项E")
    private String answer1;

    /** 非标准格式答案或含部分过程说明的答案 */
    @Excel(name = "非标准格式答案或含部分过程说明的答案")
    private String answer2;

    /** 试题解析 */
    @Excel(name = "试题解析")
    private String parse;

    /** 试题题型 */
    @Excel(name = "试题题型")
    private String qtpye;

    /** $column.columnComment */
    @Excel(name = "试题题型")
    private BigDecimal diff;

    /** 学科Id */
    @Excel(name = "学科Id")
    private Integer subjectid;

    /** 年级ID */
    @Excel(name = "年级ID")
    private Integer gradeid;

    /** 知识点名称 */
    @Excel(name = "知识点名称")
    private String knowledges;

    /** 试题来源(试卷) */
    @Excel(name = "试题来源(试卷)")
    private String source;

    /** 试题的tiid，结合fromsite进行同网站试题排重，用于增量更新 */
    @Excel(name = "试题的tiid，结合fromsite进行同网站试题排重，用于增量更新")
    private String tiid;

    /** $column.columnComment */
    @Excel(name = "试题的tiid，结合fromsite进行同网站试题排重，用于增量更新")
    private String ptiid;

    /** $column.columnComment */
    @Excel(name = "试题的tiid，结合fromsite进行同网站试题排重，用于增量更新")
    private Integer fromsite;

    /** $column.columnComment */
    @Excel(name = "试题的tiid，结合fromsite进行同网站试题排重，用于增量更新")
    private String answerJson;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setOptionA(String optionA)
    {
        this.optionA = optionA;
    }

    public String getOptionA()
    {
        return optionA;
    }
    public void setOptionB(String optionB)
    {
        this.optionB = optionB;
    }

    public String getOptionB()
    {
        return optionB;
    }
    public void setOptionC(String optionC)
    {
        this.optionC = optionC;
    }

    public String getOptionC()
    {
        return optionC;
    }
    public void setOptionD(String optionD)
    {
        this.optionD = optionD;
    }

    public String getOptionD()
    {
        return optionD;
    }
    public void setPid(Long pid)
    {
        this.pid = pid;
    }

    public Long getPid()
    {
        return pid;
    }
    public void setAnswer1(String answer1)
    {
        this.answer1 = answer1;
    }

    public String getAnswer1()
    {
        return answer1;
    }
    public void setAnswer2(String answer2)
    {
        this.answer2 = answer2;
    }

    public String getAnswer2()
    {
        return answer2;
    }
    public void setParse(String parse)
    {
        this.parse = parse;
    }

    public String getParse()
    {
        return parse;
    }
    public void setQtpye(String qtpye)
    {
        this.qtpye = qtpye;
    }

    public String getQtpye()
    {
        return qtpye;
    }
    public void setDiff(BigDecimal diff)
    {
        this.diff = diff;
    }

    public BigDecimal getDiff()
    {
        return diff;
    }
    public void setSubjectid(Integer subjectid)
    {
        this.subjectid = subjectid;
    }

    public Integer getSubjectid()
    {
        return subjectid;
    }
    public void setGradeid(Integer gradeid)
    {
        this.gradeid = gradeid;
    }

    public Integer getGradeid()
    {
        return gradeid;
    }
    public void setKnowledges(String knowledges)
    {
        this.knowledges = knowledges;
    }

    public String getKnowledges()
    {
        return knowledges;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setTiid(String tiid)
    {
        this.tiid = tiid;
    }

    public String getTiid()
    {
        return tiid;
    }
    public void setPtiid(String ptiid)
    {
        this.ptiid = ptiid;
    }

    public String getPtiid()
    {
        return ptiid;
    }
    public void setFromsite(Integer fromsite)
    {
        this.fromsite = fromsite;
    }

    public Integer getFromsite()
    {
        return fromsite;
    }
    public void setAnswerJson(String answerJson)
    {
        this.answerJson = answerJson;
    }

    public String getAnswerJson()
    {
        return answerJson;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("optionA", getOptionA())
            .append("optionB", getOptionB())
            .append("optionC", getOptionC())
            .append("optionD", getOptionD())
            .append("pid", getPid())
            .append("answer1", getAnswer1())
            .append("answer2", getAnswer2())
            .append("parse", getParse())
            .append("qtpye", getQtpye())
            .append("diff", getDiff())
            .append("subjectid", getSubjectid())
            .append("gradeid", getGradeid())
            .append("knowledges", getKnowledges())
            .append("source", getSource())
            .append("tiid", getTiid())
            .append("ptiid", getPtiid())
            .append("fromsite", getFromsite())
            .append("answerJson", getAnswerJson())
            .toString();
    }
}
